package dev.service;

import dev.dao.MenuItemDao;
import dev.model.MenuItem;

public class MenuService
{
    private final MenuItemDao dao = new MenuItemDao();
    public void showMenu()
    {
        System.out.println("\n===================================================================");
        System.out.println("id     name                 description          price    category");
        System.out.println("===================================================================");
        for(MenuItem item : dao.findAll())
        {
            System.out.println(item.getId() + ") "
                    + item.getName() + " - "
                    + item.getDescription()  + " - $" +item.getPrice()
                    + " - " + item.getCategory());
            System.out.println("-------------------------------------------------------------------");
        }
    }
}